/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * EmptyQtQueryPipe.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp"
#include "UIElements/Qt4/QtDialog.hpp"

#include "Helpers/MemDebug.hpp"

EmptyQtQueryPipe::EmptyQtQueryPipe(QtDialog *_dialog, QLabel *_textLabel) :
  dialog(_dialog),
  textLabel(_textLabel)
{}

EmptyQtQueryPipe::~EmptyQtQueryPipe()
{}

void EmptyQtQueryPipe::update() {
  dialog->update();
}

